import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'egg','avocado'])
  .range(['#b41f1f', '#ffffc9','#568203']);

const radiusScalex = scaleOrdinal()
  .domain(['apple', 'egg','avocado'])
  .range([20, 60, 50]);

const radiusScaley = scaleOrdinal()
  .domain(['apple', 'egg','avocado'])
  .range([180, 90, 70]);

export const dish = (selection, props) => {
  const { food, height } = props;
  
  const bowl = selection.selectAll('rect')
    .data([null])
    .enter().append('rect')
  	  .attr('x', 20)
      .attr('y', 30)
      .attr('width', 900)
      .attr('height', 450)
      .attr('rx', 200 / 2);
  
  const groups = selection.selectAll('g')
    .data(food);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(${i * 180 + 100},${height / 2})`
      );
  groups.exit().remove();
  
  groupsEnter.append('ellipse')
    .merge(groups.select('ellipse'))
      .attr('rx', d => radiusScalex(d.type))
  	  .attr('ry', d => radiusScaley(d.type))
      .attr('fill', d => colorScale(d.type));
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d.type)
      .attr('y', 200);
}